<?php

function webdocm_massimport(){
	$orig_dir = 'arkisto/poytakirjat/hallitus';
	$desc_dir = 'arkisto/poytakirjat/html';
	
	$orig_path = file_directory_path() .'/' . str_replace('\\' , '/', $orig_dir);
	$desc_path = str_replace('\\', '/', file_directory_path()) .'/' . str_replace('\\' , '/', $desc_dir);
		
	if(!is_dir($orig_path)){
		return t('Directory not found:') . $orig_path;
	}
	if(!is_dir($desc_path)){
		return t('Directory not found:') . $desc_path;
	}
	
	$files = scandir($orig_path);
	
	if($files == null){
		drupal_set_message($orig_path);
		return 'dir was null';
	}

	drupal_set_message($orig_path);
	$i=0;
	$rows;
	foreach($files as $file){
		$filepath = $orig_path . '/' . $file;
		if(is_file($filepath) &&  !substr($file, 0, 1) != '_' && (strpos($file, '.pdf'))){
			$html_file = $desc_path . '/' . substr($file, 0, strpos($file,'.pdf')) . '.html';
			
			if(file_exists($html_file)){
				$html = webdocm_import_parsehtml($html_file);
				$id = db_result(db_query("select fid from {webfm_file} where fpath='%s'", $filepath));
				if($id != null && $id > -1){
					$title = $html['title'];
					$author = utf8_encode($html['author']);
					$desc = utf8_encode($html['description']);
					$date = filemtime($filepath);
					$title = utf8_encode($title);
					db_query("update {webfm_file} set ftitle='$title', fpublisher='$author', fdesc='$desc', fcreatedate=$date where fpath='%s'", $filepath);
					drupal_set_message($file .':' . $title . ':' . $desc .':'. $author . ':' . $id .':' . format_date($date));
				} else {
					drupal_set_message('not:' . $file);	
				}
				$i++;
			}
			
		}
	}	
	return ''; //theme('table', array('df'), $rows);	
}

function webdocm_import_parsehtml($html_file){
	$str = file_get_contents($html_file);
	$tag = '<title>';
	$start = strpos($str, $tag);
	$title = t('Not found');
	if($start){
		$end = strpos($str, '</title>', $start);
		if($end){
			$start = $start+strlen($tag);
			$title = substr($str, $start, $end-$start);
		}
	}
	
	
	$tag = '<meta content="';
	$start = strpos($str, $tag);
	$desc;
	if($start){
		$end=strpos($str, 'name', $start);
		if($end){
			$start = $start+strlen($tag);
			$desc = substr($str, $start, $end-$start-2);		
		}
	}
	
	
	$tag1 = 'name="DC.publisher"';
	$end = strpos($str, $tag1);
	$desc;
	if($end){
		$tag = '<meta content="';
		$start=strpos($str, $tag, $end-100);
		if($start){
			$start = $start+strlen($tag);
			$end = strpos($str, 'name', $start);
			$author = substr($str, $start, $end-$start-2);		
		}
	}	
	
	
	$tag = '<body';
	$start = strpos($str, $tag);
	$body = t('Not found');
	if($start){
		$start = strpos($str, '>', $start);		
		$end = strpos($str, '</body>');
		if($end){
			$start = $start+1;
			$body = substr($str, $start , $end-$start);
			$body = str_replace('h1', 'p', $body);
			$body = str_replace('h2', 'p', $body);
			$body = str_replace('h3', 'p', $body);
			$body = str_replace('h4', 'p', $body);
		}
	}
	return array('title' => $title,'body' => $body, 'description' => $desc, 'author' => $author);	
}

?>